Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.internal.cm.util
Class ChangeableProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.eclipse.gemini.blueprint.compendium.internal.cm.util.ChangeableProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>, ServicePropertiesListenerManager

    public class ChangeableProperties

extends Properties
implements ServicePropertiesListenerManager

Basic implementation of `ServicePropertiesChangeListener`.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ChangeableProperties()`

Method Summary
`void` | `addListener(ServicePropertiesChangeListener listener)` Adds a listener to be notified of any service properties changes.
`void` | `notifyListeners()`
`void` | `removeListener(ServicePropertiesChangeListener listener)` Removes a listener interested in service properties changes.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeableProperties

    public ChangeableProperties()

Method Detail

### addListener

    public void addListener(ServicePropertiesChangeListener listener)

  Description copied from interface: `ServicePropertiesListenerManager`
  Adds a listener to be notified of any service properties changes.

  Specified by:
    `addListener` in interface `ServicePropertiesListenerManager`
  Parameters:
    `listener` - service properties change listener

### removeListener

    public void removeListener(ServicePropertiesChangeListener listener)

  Description copied from interface: `ServicePropertiesListenerManager`
  Removes a listener interested in service properties changes.

  Specified by:
    `removeListener` in interface `ServicePropertiesListenerManager`
  Parameters:
    `listener` - service properties change listener

### notifyListeners

    public void notifyListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.